/*
  * 手太欠
  * 愿这世界都如故事里一样 美好而动人~
*/

import { req } from "../request"

//验证码登录
const login = data => req({
    url: "user/socialite/login/wechat/mini",
    method: "POST",
    data: data
})

//获取openid
const codeOpenid = data => req({
    url: "user/auth/mini_openid",
    data: data
})

//更新基本信息
const userAdd = data => req({
    url: "user/setting/update_info",
    method: "POST",
    data: data
})

//隐私+协议
const registeragree = (website) => req({
    url: "cms/pages/" + website
})

export default ({
    login,
    codeOpenid,
    userAdd,
    registeragree
})